net.corda.core.node.services

## Class Vault.Update

- net.corda.core.node.services.Vault.Update

- Enclosing class:
    Vault<T extends ContractState>

      public static class Vault.Update

  Represents an update observed by the vault that will be notified to observers. Include the `class StateRef`s of transaction outputs that were consumed (inputs) and the `interface ContractState`s produced (outputs) to/by the transaction or transactions observed and the vault.

  If the vault observes multiple transactions simultaneously, where some transactions consume the outputs of some of the other transactions observed, then the changes are observed "net" of those.

  See Also:
    `class StateRef`, `interface ContractState`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Update(java.util.Set<? extends net.corda.core.contracts.StateAndRef<? extends net.corda.core.contracts.ContractState>> consumed, java.util.Set<? extends net.corda.core.contracts.StateAndRef<? extends net.corda.core.contracts.ContractState>> produced)` Represents an update observed by the vault that will be notified to observers. Include the `class StateRef`s of transaction outputs that were consumed (inputs) and the `interface ContractState`s produced (outputs) to/by the transaction or transactions observed and the vault.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Set<net.corda.core.contracts.StateAndRef>` | `component1()`
    `java.util.Set<net.corda.core.contracts.StateAndRef>` | `component2()`
    `Vault.Update` | `copy(java.util.Set<? extends net.corda.core.contracts.StateAndRef<? extends net.corda.core.contracts.ContractState>> consumed, java.util.Set<? extends net.corda.core.contracts.StateAndRef<? extends net.corda.core.contracts.ContractState>> produced)` Represents an update observed by the vault that will be notified to observers. Include the `class StateRef`s of transaction outputs that were consumed (inputs) and the `interface ContractState`s produced (outputs) to/by the transaction or transactions observed and the vault.
    `boolean` | `equals(java.lang.Object p)`
    `java.util.Set<net.corda.core.contracts.StateAndRef>` | `getConsumed()`
    `java.util.Set<net.corda.core.contracts.StateAndRef>` | `getProduced()`
    `int` | `hashCode()`
    `Vault.Update` | `plus(Vault.Update rhs)` Combine two updates into a single update with the combined inputs and outputs of the two updates but net any outputs of the left-hand-side (this) that are consumed by the inputs of the right-hand-side (rhs).
    `java.lang.String` | `toString()`

- - ### Constructor Detail

    - #### Update

          public Update(java.util.Set<? extends net.corda.core.contracts.StateAndRef<? extends net.corda.core.contracts.ContractState>> consumed,
                        java.util.Set<? extends net.corda.core.contracts.StateAndRef<? extends net.corda.core.contracts.ContractState>> produced)

      Represents an update observed by the vault that will be notified to observers. Include the `class StateRef`s of transaction outputs that were consumed (inputs) and the `interface ContractState`s produced (outputs) to/by the transaction or transactions observed and the vault.

      If the vault observes multiple transactions simultaneously, where some transactions consume the outputs of some of the other transactions observed, then the changes are observed "net" of those.

      See Also:
        `class StateRef`, `interface ContractState`

  - ### Method Detail

    - #### plus

          public Vault.Update plus(Vault.Update rhs)

      Combine two updates into a single update with the combined inputs and outputs of the two updates but net any outputs of the left-hand-side (this) that are consumed by the inputs of the right-hand-side (rhs).

      i.e. the net effect in terms of state live-ness of receiving the combined update is the same as receiving this followed by rhs.

    - #### toString

          public java.lang.String toString()

    - #### getConsumed

          public java.util.Set<net.corda.core.contracts.StateAndRef> getConsumed()

    - #### getProduced

          public java.util.Set<net.corda.core.contracts.StateAndRef> getProduced()

    - #### component1

          public java.util.Set<net.corda.core.contracts.StateAndRef> component1()

    - #### component2

          public java.util.Set<net.corda.core.contracts.StateAndRef> component2()

    - #### copy

          public Vault.Update copy(java.util.Set<? extends net.corda.core.contracts.StateAndRef<? extends net.corda.core.contracts.ContractState>> consumed,
                                   java.util.Set<? extends net.corda.core.contracts.StateAndRef<? extends net.corda.core.contracts.ContractState>> produced)

      Represents an update observed by the vault that will be notified to observers. Include the `class StateRef`s of transaction outputs that were consumed (inputs) and the `interface ContractState`s produced (outputs) to/by the transaction or transactions observed and the vault.

      If the vault observes multiple transactions simultaneously, where some transactions consume the outputs of some of the other transactions observed, then the changes are observed "net" of those.

      See Also:
        `class StateRef`, `interface ContractState`

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)